View Issue Details

IDProjectCategoryView StatusLast Update
0021602mantisbtadministrationpublic2016-08-28 01:11
ReporterdregadAssigned Tosyncguru 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-beta.2Fixed in Version2.0.0-beta.2 
Summary0021602: Admin: "Upgrade your installation" shown even when schema is up-to-date
Description

When accessing the Admin pages (index.php), the "Information" tab is selected showing my schema version as 209 (which is current). The "Upgrade your installation" tab is not shown, as expected.

However, if I select the "System utilities" or "Email Queue" tab, then the "Upgrade your installation" tab appears. I don't think it should.

Additional Information

See attached screenshots illustrating the behavior

TagsNo tags attached.

Activities

dregad

dregad

2016-08-13 18:35

developer  

Selection_001.png (37,144 bytes)
Selection_001.png (37,144 bytes)
dregad

dregad

2016-08-13 18:36

developer  

Selection_002.png (18,334 bytes)
Selection_002.png (18,334 bytes)
syncguru

syncguru

2016-08-17 00:30

developer   ~0053829

PR: https://github.com/mantisbt/mantisbt/pull/858

Related Changesets

MantisBT: master 2a64d176

2016-08-23 22:34:13

syncguru


Committer: vboctor Details Diff
Remove incorrect “Upgrade Your Installation"

Don't show "Upgrade Your Installation" when switching admin bar tabs

Fixes 0021602
mod - admin/email_queue.php Diff File
mod - admin/system_utils.php Diff File
mod - admin/test_langs.php Diff File

Issue History

Date Modified Username Field Change
2016-08-13 18:31 dregad New Issue
2016-08-13 18:35 dregad File Added: Selection_001.png
2016-08-13 18:36 dregad File Added: Selection_002.png
2016-08-13 18:37 dregad Additional Information Updated View Revisions
2016-08-13 19:24 dregad Assigned To => syncguru
2016-08-13 19:24 dregad Status new => assigned
2016-08-17 00:30 syncguru Note Added: 0053829
2016-08-23 22:35 vboctor Changeset attached => MantisBT master 2a64d176
2016-08-23 22:35 vboctor Assigned To syncguru => vboctor
2016-08-23 22:35 vboctor Status assigned => resolved
2016-08-23 22:35 vboctor Resolution open => fixed
2016-08-23 22:35 vboctor Fixed in Version => 2.0.0-beta.2
2016-08-24 00:11 vboctor Assigned To vboctor => syncguru
2016-08-28 01:11 vboctor Status resolved => closed